# Class SolanaSendSigner<N, C>

#### Type Parameters

- #### N extends Network

- #### C extends SolanaChains = "Solana"

#### Hierarchy

- SolanaSendSigner

#### Implements

- SignAndSendSigner<N, C>

- Defined in platforms/solana/src/testing/sendSigner.ts:22

#####
Index

### Constructors

constructor

### Properties

_chain
_debug
_keypair
_priotifyFeeAmount?
_rpc
_sendOpts?

### Methods

address
chain
retryable
signAndSend

## Constructors

### constructor

- new SolanaSendSigner<N, C>(_rpc, _chain, _keypair, _debug?, _sendOpts?, _priotifyFeeAmount?): SolanaSendSigner<N, C>

- #### Type Parameters

  - #### N extends "Mainnet" | "Testnet" | "Devnet"

  - #### C extends "Solana" | "Pythnet" = "Solana"

  #### Parameters

  - ##### _rpc: Connection

  - ##### _chain: C

  - ##### _keypair: Keypair

  - ##### _debug: boolean = false

  - ##### `Optional` _sendOpts: SendOptions

  - ##### `Optional` _priotifyFeeAmount: bigint

  #### Returns SolanaSendSigner<N, C>

  - Defined in platforms/solana/src/testing/sendSigner.ts:27

## Properties

### `Private` _chain

_chain: C

- Defined in platforms/solana/src/testing/sendSigner.ts:29

### `Private` _debug

_debug: boolean = false

- Defined in platforms/solana/src/testing/sendSigner.ts:31

### `Private` _keypair

_keypair: Keypair

- Defined in platforms/solana/src/testing/sendSigner.ts:30

### `Private` `Optional` _priotifyFeeAmount

_priotifyFeeAmount?: bigint

- Defined in platforms/solana/src/testing/sendSigner.ts:33

### `Private` _rpc

_rpc: Connection

- Defined in platforms/solana/src/testing/sendSigner.ts:28

### `Private` `Optional` _sendOpts

_sendOpts?: SendOptions

- Defined in platforms/solana/src/testing/sendSigner.ts:32

## Methods

### address

- address(): string

- #### Returns string

  Implementation of SignAndSendSigner.address

  - Defined in platforms/solana/src/testing/sendSigner.ts:44

### chain

- chain(): C

- #### Returns C

  Implementation of SignAndSendSigner.chain

  - Defined in platforms/solana/src/testing/sendSigner.ts:40

### `Private` retryable

- retryable(e): boolean

- #### Parameters

  - ##### e: any

  #### Returns boolean

  - Defined in platforms/solana/src/testing/sendSigner.ts:53

### signAndSend

- signAndSend(tx): Promise<any[]>

- #### Parameters

  - ##### tx: UnsignedTransaction<"Mainnet" | "Testnet" | "Devnet", "Solana" | "Ethereum" | "Terra" | "Bsc" | "Polygon" | "Avalanche" | "Oasis" | "Algorand" | "Aurora" | "Fantom" | "Karura" | "Acala" | "Klaytn" | "Celo" | "Near" | "Moonbeam" | "Neon" | "Terra2" | "Injective" | "Osmosis" | "Sui" | "Aptos" | "Arbitrum" | "Optimism" | "Gnosis" | "Pythnet" | "Xpla" | "Btc" | "Base" | "Sei" | "Rootstock" | "Wormchain" | "Cosmoshub" | "Evmos" | "Kujira" | "Sepolia" | "ArbitrumSepolia" | "BaseSepolia" | "OptimismSepolia" | "Holesky">[]

  #### Returns Promise<any[]>

  Implementation of SignAndSendSigner.signAndSend

  - Defined in platforms/solana/src/testing/sendSigner.ts:81

Generated using TypeDoc